Subject: Re: bug#52655: 29.0.50 pgtk bug on X Window.

From: Eric Abrahamsen <[email-masked]>
Date: Tue, 21 Dec 2021 19:23:45 -0800

Eric Abrahamsen <[email-masked]> writes:

> Moen Jim <[email-masked]> writes:
>
>> I compared the two versions of emacs.
>> a) From ArchLinuxCN
>>    PKGBUILD:
>>    https://github.com/archlinuxcn/repo/blob/master/archlinuxcn/emacs-native-comp-git/
>>
>> b) From AUR (--with-pgtk)
>>    PKGBUILD:
>>    https://aur.archlinux.org/packages/emacs-native-comp-git-enhanced/
>>
>> the pgtk version may have some bug:
>> when I use systemd user unit to start the daemon.
>>
>> `````
>>
>> [Unit]
>> Description=Emacs text editor
>> Documentation=info:emacs man:emacs(1) https://gnu.org/software/emacs/
>>
>> [Service]
>> Type=simple
>> Environment=DISPLAY=:%i
>> Environment="LC_CTYPE=zh_CN.UTF-8" "XMODIFIERS=@im=fcitx"
>
> For me, fcitx turned out to be stealing C-; to do something with the
> clipboard. I assume it was always configured to do so, but running the
> pgtk branch simply allowed it to do that whereas before Emacs would take
> the keybinding. Anyway, do look for weird interaction between Emacs and fcitx.

Scratch that, now I'm seeing the same thing, even without fcitx running.
Hitting C-; results in the ; arriving at Emacs, but without the control modifier.